Bug 12172 - Настройка времени и часового пояса в инсталляторе
: Настройка времени и часового пояса в инсталляторе
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-datetime)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 12100
  Show dependency tree
 
Reported: 2007-06-27 16:22 by
Modified: 2008-03-24 12:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-27 16:22:43
в инсталляторе, когда доходит до выбора часового пояса, на закладке с 
часиками стоит галка "Хранить время в БИОСе по Гринвичу", и часы 
показывают на 4 часа позже, чем стоит в БИОСе. А там, как обычно (у 
пользователей) стоит обычное локальное время. Если снять галку, то на 
часах ничего не изменится. Не знаю, как правильно поступить, но я (тоже 
юзер, между прочим), исправил время на часах, т.е. вернул на 4 часа 
назад. Но! После нажатия "Далее" на часах стрелки прыгают на 4 часа 
назад! Однако, если нажать кнопку "Назад", то время на часах верное. 
Вобщем, все это загадочно, и confusing. 

Возможно, по умолчанию стоит эту галку снять?
------- Comment #1 From 2007-06-28 17:14:22 -------
Мне на днях показалось, что там попросту не осуществляется применение выбранной
зоны при покидании таба с её выбором.  В Москве это легче не заметить,
поскольку
в ALT Europe/Moscow по умолчанию.

Неужели не повесил багу (не находится -- в тексте точно было Europe/Kiev)...
или
в жабер/desktop@ писал...

Не блокер, но было бы неплохо утрясти.
------- Comment #2 From 2007-07-10 16:19:11 -------
IMHO наиболее вменяемый из продуманных вариант, но не факт, что реализуемо
сейчас: если есть виндовые разделы -- ставить местное, если их нет (или снесено
всё) -- ставить GMT.  Возможно, в Master стоило бы при этом написать более
внятную справку и поинтересоваться в явном виде помимо эвристики.
------- Comment #3 From 2007-07-11 10:18:49 -------
еще добавлю от себя:

речь идет не о том, чтобы совсем убрать эту настройку.

скорее о том, что описано в рассылке:

( это - автор баги, но я писал то же самое раньше)

-------
Время у пользователя локальное.
-- Инсталлятор показывает ему настройки часового пояса, потом 
пользователь жмет "далее", пропустив закладку про дату/время. И имеет 
системное время на 4 часа не совпадающее с тем, которой он ожидает (для Мск)

-- второй вариант: пользователь ушлый, и закладочку разглядел. Увидел, 
что время сбито, увидел галку "время по Гринвичу". Далее, внимание на 
экран: пользователь СНЯЛ галку, но время на часах НЕ изменилось. "Ага", 
подумал юзер, и (опять внимание на экран), изменил время на правильное, 
нажад Далее (и тут снова все внимание на экран) перед сменой страницы 
увидел (о блин!), что стрелки на часах скакнули на 4 часа назад!!! 
Пользователь (уже порядком сконфуженый) давит "Назад", но время там 
стоит ПРАВИЛЬНО.
----------

если вести речь о не-конфузящем интерфейсе инсталлятора, то это надо как-то
исправить (неожиданные скачки времени на индикаторе).
Или рядом написать прямым текстом - "не обращайте на них внимания" и инструкцию,
что делать. 
В компакт3 слева было окно с описанием этапа и помощью, было ОЧЕНЬ удобно -
можно было сразу проконсультироваться "что делать сейчас" и все неясности с
опциями там были описаны.

Т.е. речь скорее и визуальном поведении инсталлятора на экране и дефолте для
галки, чем о коренных изменениях логики инсталлятора.

------- Comment #4 From 2007-08-10 16:59:37 -------
Несколькосекундные скачки часов на измененный промежуток исправлены в 
alterator-browser-qt-2.9.60-alt1
------- Comment #5 From 2007-08-16 11:21:53 -------
fixed